package lc.stack.zero.housekeeper;

import lc.stack.zero.ZeroClient;

/**
 * The housekeeper is responsible for managing the well-being of a host.
 *
 * @author Alex Leigh
 */
public class HousekeeperDaemon implements Runnable {
    private final ZeroClient zeroClient;

    public static void main(String args[]) {
        HousekeeperDaemon hd = new HousekeeperDaemon();
        hd.run();
    }

    public HousekeeperDaemon() {
        zeroClient = new ZeroClient();
        zeroClient.getCapabilities().add(new ChefClientPersonality());
    }

    @Override
    public void run() {
        new Thread(zeroClient).start();
    }
}
